(* ------------------------------------------------- *)
(*                   CLWITAF.PAS                     *)
(* lscht die Formelsammlung WITA.FOR. Dieses Pro-   *)
(* gramm mu vor dem ersten Start des Taschenrechners*)
(* WITA.EXE aufgerufen werden, um WITA.FOR anzulegen.*)
(*        (c) 1992 W.Hermanns & DMV-Verlag           *)
(* ------------------------------------------------- *)
PROGRAM CLWITAF;

CONST
  Name    = 'WITA.FOR';
  CrLf    = #10#13;
  MaxEinL = 128;

TYPE
  EinTyp = STRING[MaxEinL];

VAR
  Eintrag, Dat : EinTyp;
  Taste        : CHAR;
  Datei        : FILE OF EinTyp;
  I            : BYTE;


  FUNCTION InKey:CHAR; INLINE($B4/0/$CD/$16/$B4/0);

BEGIN
  WriteLn(CrLf, CrLf,
          'Laufwerk angeben ( A - H ) oder <Esc>!');
  REPEAT
    Taste := UpCase(InKey);
  UNTIL Taste IN ['A'..'H', #27];
  IF Taste <> #27 THEN BEGIN
    Dat := Taste + ':' + Name;
    WriteLn (CrLf, Dat);
    FillChar (Eintrag, Succ(MaxEinL), #0);
    {$I-}
    Assign(Datei, Dat);
    Rewrite(Datei);
    {$I+}
    IF (IOResult AND $FFFD) = 0 THEN BEGIN
      FOR I := 0 TO 99 DO BEGIN
        Seek(Datei, I);  Write(Datei, Eintrag);
      END;
      Close(Datei);
      WriteLn ('Formelsammlung gelscht!');
    END ELSE
      WriteLn ('IO-Diskfehler!');
  END ELSE
    WriteLn (CrlF,'Formelsammlung nicht gelscht!');
END.
(* ------------------------------------------------- *)
(*              Ende von CLWITAF.PAS                 *)
